Arduino

Reference Language | Libraries | Comparison | Changes

Robot

## digitalRead()

#### Description

Reads the digital value one the defined port. These are exposed as TinkerKit connectors on the robot. See the diagrams below for pin locations

#### Syntax

Robot.digitalRead(portName)

#### Parameters

port: Valid names are TK0 to TK7 (found on the Control board), TKD0 to TKD5 (on the Control board), and B_TK1 to B_TK4 (on the Motor Board).

#### Returns

HIGH or LOW

#### Examples

#include <ArduinoRobot.h>
void setup(){
Robot.begin();
Serial.begin(9600);
}
void loop(){
Serial.println(Robot.digitalRead(TK0)); //Print the value read on port TK0
delay(100);
}
[Get Code]

Control Board

Motor Board

#### See also

- analogRead()
- digitalWrite()
- analogWrite()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers